Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
Richyboro Posted on 04/12/2018 17:50
Life should mean life
 
 
I agree with rehabilitation but surely some don't deserve it. Fcuking disgraceful if he gets out.

Link: Linky
IP: Logged
clive_road_stamper Posted on 05/12/2018 02:20
Edited On: 05/12/2018 02:21
Life should mean life

 
Blood boiling stuff.

A more dispicable crime is unimaginable. No one absolutely no one who was guilty of what he has done should ever be released.

Not withstanding the practicalities of such a release. I mean whats he going to do, unemployable. But he has to be housed somewhere. Don't think Id sleep well if he was housed anywhere near me.

Clearly hes seriously mentally ill. The strains of coming to terms with the outside world could tip the balance. May even re-offend to get back to his institutionalised existance.

Wonder if that psychologist would release him if it had been his kids had been murdered.

lastly what are the advantages to letting him out. Whos is going to benefit? The state? The psychologist trying to gain some professional kudos amongst peers. Could well be.

Like Brady he needs to die in prison
IP: Logged
slavens_holgate_fence Posted on 05/12/2018 08:52

Life should mean life

 
I couldnt believe this story when i read it, how can this guy be released after such a relative short time inside
IP: Logged
CasinoGrande Posted on 05/12/2018 13:03

Life should mean life

 
The telling line:

"The psychologist identified a number of factors which make it less likely that Mr McGreavy will reoffend in future"

"less likely" just isn't good enough in cases like this. If he re-offends I hope the psychologist is given the job to inform and explain to the parents.
IP: Logged
sheriff_john_bunnell Posted on 05/12/2018 13:08

Life should mean life

 
No it's ridiculous.
IP: Logged
Greenandblack Posted on 05/12/2018 13:17

Life should mean life

 
*** how can this guy be released after such a relative short time inside***

He's been in jail for 45 years.
IP: Logged
coluka Posted on 05/12/2018 13:23

Life should mean life

 
Any term set should always be served imho, never mind parole etc

However, in a case such as this, I have no concern in a modern democratic and forward thinking society like ours debating bringing back the death penalty. A horrendous crime such as this would not miss such evil.
IP: Logged
Richyboro Posted on 05/12/2018 17:10

Life should mean life

 
Casino, I couldn't believe that part myself. Unbelievable that he is being released.
IP: Logged
Holgatemax Posted on 05/12/2018 21:37

Life should mean life

 
Would cause absolute outrage if this scum is released. He should of been hanged for the crimes he committed.
Appears to be a problem with the parole board wanting to release this type onto the streets again. The recent case of the rapist cabbie in London was challenged.
He should be locked up for the rest of his days.
IP: Logged
Foggysfplandiet3 Posted on 05/12/2018 22:53

Life should mean life

 
He should never have been imprisoned.

He should have been executed.
IP: Logged
rayban Posted on 05/12/2018 23:35

Life should mean life

 
Life should mean death.
IP: Logged
BarnesBoroFC Posted on 06/12/2018 00:29

Life should mean life

 
Coluka, I agree with you there.

It's not often reading a news story makes me verbally react like this one did.

Why even bother rehabilitating someone who did what he did.

Just a quiet (painless) execution in some non descript room would serve the greater good for me here.
IP: Logged
hewielewie Posted on 06/12/2018 12:24

Life should mean life

 
Guaranteed ton
IP: Logged
dougt Posted on 06/12/2018 13:37

Life should mean life

 
"Why even bother rehabilitating someone who did what he did"

I would suggest to demonstrate that they can, not that should be reason to release him. He should pay for those crimes he committed with his liberty for life.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2018 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103